Skip to main content
`Ctrl`+`K`

# TSPseudoSetTimeStepIncrement

Sets the scaling increment applied to dt when using the TSPseudoTimeStepDefault() routine.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSPseudoSetTimeStepIncrement(TS ts, PetscReal inc)

Logically Collective

## Input Parameters

- ts - the timestep context

- inc - the scaling factor >= 1.0

## Options Database Key

- -ts_pseudo_increment <increment> - set pseudo increment

## See Also

TS: Scalable ODE and DAE Solvers, `TSPSEUDO`, `TSPseudoSetTimeStep()`, `TSPseudoTimeStepDefault()`

## Level

advanced

## Location

src/ts/impls/pseudo/posindep.c

## Examples

src/ts/tutorials/ex42.c

## Implementations

TSPseudoSetTimeStepIncrement_Pseudo() in src/ts/impls/pseudo/posindep.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages